#include "conf.h"
#include "xplodeshared.h"

// Sets default styles
QMap<QString, ConfigStyle> Config::defaultStyles()
{
	ConfigStyle s;
	QMap<QString, ConfigStyle> styles;

	s.font = *plasmEditorFont;
	s.color = Qt::black;
	styles.insert("Standard", s);

	s.font = *plasmEditorFont;
	s.color = Qt::gray;
	styles.insert("Comment", s);

	s.font = *plasmEditorFont;
	s.color = Qt::red;
	styles.insert("Number", s);

	s.font = *plasmEditorFont;
	s.color = Qt::darkCyan;
	styles.insert("String", s);

	s.font = *plasmEditorFont;
	s.color = Qt::blue;
	styles.insert("Type", s);

	s.font = *plasmEditorFont;
	s.color = Qt::blue;
	styles.insert("Keyword", s);

	s.font = *plasmEditorFont;
	s.color = Qt::black;
	styles.insert("Preprocessor", s);

	s.font = *plasmEditorFont;
	s.color = Qt::black;
	styles.insert("Label", s);

	return styles;
}
