#ifndef XPLODECONFIG_H
#define XPLODECONFIG_H

// Qt includes
#include <qdom.h>
#include <qfile.h>
#include <qtextstream.h>
#include <qstring.h>
#include <qfont.h>

// System libraries
#include <stdlib.h>

// Provides the configuration file handling
class XplodeConfig
{
public: 
	XplodeConfig();
	~XplodeConfig();

	bool saveConfig();
	bool readConfig();
	bool rebuildConfig();
private:
	// Configuration file path
	QString *configFile;
	// Configuration document (XML)
	QDomDocument *configDoc;
};

#endif
