TEMPLATE    = app
CONFIG     += qt warn_off release

TARGET      = bin/xplode
MOC_DIR     = bin/
OBJECTS_DIR = bin/

SOURCES    += src/conf.cpp
SOURCES    += src/editor.cpp
SOURCES    += src/main.cpp
SOURCES    += src/parenmatcher.cpp
SOURCES    += src/xplode.cpp
SOURCES    += src/xplodeconfig.cpp
SOURCES    += src/xplodedoc.cpp
SOURCES    += src/xplodeeditor.cpp
SOURCES    += src/xplodelistener.cpp
SOURCES    += src/xplodesyntaxhighlighter.cpp

HEADERS    += src/conf.h
HEADERS    += src/editor.h
HEADERS    += src/paragdata.h
HEADERS    += src/parenmatcher.h
HEADERS    += src/xplode.h
HEADERS    += src/xplodeconfig.h
HEADERS    += src/xplodedoc.h
HEADERS    += src/xplodeeditor.h
HEADERS    += src/xplodeicons.h
HEADERS    += src/xplodelistener.h
HEADERS    += src/xplodeshared.h
HEADERS    += src/xplodesyntaxhighlighter.h

FORMS      += src/xplodeexport.ui
FORMS      += src/xplodehelp.ui
FORMS      += src/xplodelogo.ui
FORMS      += src/xplodereplace.ui
FORMS      += src/xplodesearch.ui

macx {
RC_FILE     = src/icons/xplode_icon.icns
}

win32 {
RC_FILE     = src/icons/xplode_icon.rc
}
