#ifndef CONFIG_H
#define CONFIG_H

// This file has been slightly modified for Xplode

// Qt includes
#include <qfont.h>
#include <qcolor.h>
#include <qmap.h>
#include <qapplication.h>
#include <qfont.h>
#include <qcolor.h>
#include <qsettings.h>

// Configuration style
struct ConfigStyle
{
	QFont font;
	QColor color;
};


// Configuration style mapping
struct Config
{
	QMap<QString, ConfigStyle> styles;
	bool hasCompletion, hasParenMatching, hasWordWrap;

	static QMap<QString, ConfigStyle> defaultStyles();
};

#endif
